Constants (Apache Tomcat 8.5.84 API Documentation)

Package org.apache.catalina.realm

## Class Constants

- java.lang.Object
- - org.apache.catalina.realm.Constants

-     @Deprecated
      public final class Constants
      extends java.lang.Object

  Deprecated.
  Unused. Will be removed in Tomcat 9
  Manifest constants for this Java package.
  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONFIDENTIAL_TRANSPORT` | Deprecated.
    `static java.lang.String` | `FORM_ACTION` | Deprecated.
    `static java.lang.String` | `FORM_METHOD` | Deprecated.
    `static java.lang.String` | `INTEGRAL_TRANSPORT` | Deprecated.
    `static java.lang.String` | `NONE_TRANSPORT` | Deprecated.
    `static java.lang.String` | `Package` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Constants()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Package

          public static final java.lang.String Package

      Deprecated.
      See Also:
        Constant Field Values

    - #### FORM_METHOD

          public static final java.lang.String FORM_METHOD

      Deprecated.
      See Also:
        Constant Field Values

    - #### FORM_ACTION

          public static final java.lang.String FORM_ACTION

      Deprecated.
      See Also:
        Constant Field Values

    - #### NONE_TRANSPORT

          public static final java.lang.String NONE_TRANSPORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### INTEGRAL_TRANSPORT

          public static final java.lang.String INTEGRAL_TRANSPORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### CONFIDENTIAL_TRANSPORT

          public static final java.lang.String CONFIDENTIAL_TRANSPORT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

      Deprecated.